XAllocClassHint(3)

NAME
XAllocClassHint, XSetClassHint, XGetClassHint, XClassHint - allocate class hints structure and set or read a window's WM_CLASS property

SYNTAX

XClassHint *XAllocClassHint(void);

XSetClassHint(Display *display, Window w, XClassHint *class_hints);

Status XGetClassHint(Display *display, Window w, XClassHint *class_hints_return);

ARGUMENTS

display
    Specifies the connection to the X server.

class_hints
    Specifies the structure that is to be used.

class_hints_return
    Returns the structure.

w   Specifies the window.

DESCRIPTION
The function allocates and returns a pointer to a structure. Note that the pointer fields in the structure are initially set to NULL. If insufficient memory is available, returns NULL. To free the memory allocated to this structure, use

The function sets the class hint for the specified window. If the strings are not in the Host Portable Character Encoding, the result is implementation-dependent.

can generate and errors.

The function returns the class hint of the specified window to the members of the supplied structure. If the data returned by the server is in the Latin Portable Character Encoding, then the returned strings are in the Host Portable Character Encoding. Otherwise, the result is implementation-dependent. It returns a nonzero status on success; otherwise, it returns a zero status. To free res_name and res_class when finished with the strings, use on each individually.

can generate a error.

PROPERTIES

WM_CLASS
    Set by application programs to allow window and session managers to obtain the application's resources from the resource database.

STRUCTURES
The structure contains:

typedef struct {
    char *res_name;
    char *res_class; } XClassHint;

The res_name member contains the application name, and the res_class member contains the application class. Note that the name set in this property may differ from the name set as WM_NAME. That is, WM_NAME specifies what should be displayed in the title bar and, therefore, can contain temporal information (for example, the name of a file currently in an editor's buffer). On the other hand, the name specified as part of WM_CLASS is the formal name of the application that should be used when retrieving the application's resources from the resource database.

DIAGNOSTICS

The server failed to allocate the requested resource or server memory.

A value for a Window argument does not name a defined Window.

SEE ALSO
XAllocIconSize(3), XAllocSizeHints(3), XAllocWMHints(3), XFree(3), XSetCommand(3), XSetTransientForHint(3), XSetTextProperty(3), XSetWMClientMachine(3), XSetWMColormapWindows(3), XSetWMIconName(3), XSetWMName(3), XSetWMProperties(3), XSetWMProtocols(3), XStringListToTextProperty(3)
Xlib - C Language X Interface